<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Agregar Doctor</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i>Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Doctores</a>
            </li>
            <li class="breadcrumb-item active">Agregar Doctor</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2>Agregar Doctor</h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="docForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="first" required>
                    <mat-error *ngIf="docForm.get('first').hasError('required')">
                      EL Nombre es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Apellido</mat-label>
                    <input matInput formControlName="last">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Dirección</mat-label>
                    <input matInput formControlName="gender">
                    <mat-error *ngIf="docForm.get('gender').hasError('required')">
                      La Dirección es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Celular</mat-label>
                    <input matInput formControlName="mobile" type="number" required>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Correo Electrónico</mat-label>
                    <input matInput formControlName="password" type="email" required>
                    <mat-error *ngIf="docForm.get('password').hasError('required')">
                      El Correo es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Fecha Nacimiento</mat-label>
                    <input matInput [matDatepicker]="picker" formControlName="dob" required>
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                    <mat-error *ngIf="docForm.get('dob').hasError('required')">
                      Seleccione una Fecha
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Edad</mat-label>
                    <input matInput formControlName="designation">
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Grupo Sanguíneo</mat-label>
                    <mat-select formControlName="department" required>
                      <mat-option [value]="'1'">
                        O+
                      </mat-option>
                      <mat-option [value]="'2'">
                        A
                      </mat-option>
                      <mat-option [value]="'3'">
                        B
                      </mat-option>
                      <mat-option [value]="'4'">
                        AB
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="docForm.get('department').hasError('required')">
                      Debe Seleccionar un grupo sanguineo
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Género</mat-label>
                    <mat-select formControlName="department" required>
                      <mat-option [value]="'1'">
                        Femenino
                      </mat-option>
                      <mat-option [value]="'2'">
                        Masculino
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="docForm.get('department').hasError('required')">
                      Debe Seleccionar genero
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Estado Civil</mat-label>
                    <input matInput formControlName="address">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Título</mat-label>
                    <input matInput formControlName="email" required>
                    <mat-error *ngIf="docForm.get('email').hasError('email') && docForm.get('email').touched">
                      El Título es requerido
                    </mat-error>
                  </mat-form-field>
                </div>

                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Especialidad</mat-label>
                    <input matInput formControlName="conformPassword" type="text" required>
                    <mat-error *ngIf="docForm.get('conformPassword').hasError('required')">
                      La Especialidad es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Ced. Profesional</mat-label>
                    <textarea matInput formControlName="education"></textarea>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Upload Image</mat-label>
                    <ngx-mat-file-input formControlName="uploadImg">
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3 text-center">
                  <button class="mr-3" [disabled]="!docForm.valid " mat-raised-button color="primary">Guardar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
